/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#gif").hide();
$("#contenedorSemestre").hide();
$("#contenedorCuatrimestre").hide();

$("#semestre").change(function () {
    $ideLic = $("#cveLic").val();
    $numSemestre = $("#semestre").val();
    //console.log("C: " + $numSemestre);
    if ($ideLic === "default" || $numSemestre <= 0 || $numSemestre == "default") {
        swal("", "Faltan datos: *Licenciatura o Semestre", "warning");
        document.getElementById("contenedorGruposAsignaturas").innerHTML = "";
    } else {
        cargarGrupos($ideLic, $numSemestre, 1);
    }
});
$("#cuatrimestre").change(function () {
    $ideLic = $("#cveLic").val();
    $numCuatrimestre = $("#cuatrimestre").val();
    //console.log("C: " + $numCuatrimestre);
    if ($ideLic === "default" || $numCuatrimestre <= 0 || $numCuatrimestre == "default") {
        swal("", "Faltan datos: *Licenciatura o Cuatrimestre", "warning");
        document.getElementById("contenedorGruposAsignaturas").innerHTML = "";
    } else {
        cargarGrupos($ideLic, $numCuatrimestre, 0);

    }
});

$("#modalidad").change(function () {
    $valor = $(this).val();
    if ($valor == 1) {
        $("#contenedorCuatrimestre").hide();
        $("#contenedorSemestre").show();
    } else {
        $("#contenedorSemestre").hide();
        $("#contenedorCuatrimestre").show()
    }
});

function cargarGrupos(lic, semestre, b) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/cargarGrupos',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideLic: lic, numero: semestre, bandera: b},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gifG").show();
            document.getElementById("contenedorGruposAsignaturas").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> VALIDANDO...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            $("#gifG").hide();
            document.getElementById("contenedorGruposAsignaturas").innerHTML = respuesta;
            $(".profe").selectpicker();
            
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cargarLicenciaturas

function guardarHorario(id) {
    var especialidad = document.getElementById('cveLic').value;
    var modalidad = document.getElementById('modalidad').value;
    var numero = "";
    if (modalidad === "0") {
        numero = document.getElementById('cuatrimestre').value;
    } else if (modalidad === "1") {
        numero = document.getElementById('semestre').value;
    }
    var grupo = document.getElementById('cveGru').value;
    //var periodo = document.getElementById('cvePer').value;
    var hi = document.getElementById('hi' + id).value;
    var hf = document.getElementById('hf' + id).value;
    var profesor = document.getElementById('pro' + id).value;

    if (especialidad === "default") {
        swal("", "Faltan datos: *ESPECIALIDAD", "warning");
    } else {
        if (modalidad === "default") {
            swal("", "Faltan datos: *MODALIDAD", "warning");
        } else {
            if (numero === "default" | numero === "") {
                swal("", "Faltan datos: *NÚMERO DE CUATRIMESTRE O SEMESTRE", "warning");
            } else {
                if (grupo === "default") {
                    swal("", "Faltan datos: *GRUPO", "warning");
                } else {
                    if (hi === "") {
                        swal("", "Faltan datos: *HORA INICIO", "warning");
                    } else {
                        if (hf === "") {
                            swal("", "Faltan datos: *HORA FIN", "warning");
                        } else {
                            if (profesor === "default") {
                                swal("", "Faltan datos: *PROFESOR", "warning");
                            } else {
                                procesarDatos(id, especialidad, modalidad, numero, grupo, hi, hf, profesor);
                            }
                        }
                    }
                }
            }
        }
    }
}


function procesarDatos(id, especialidad, modalidad, numero, grupo, hi, hf, profesor) {
    alert(especialidad + " " + modalidad + " " + numero + " " + grupo + " " + hi + " " + hf + " " + profesor);
    document.getElementById('save' + id).disabled = true;
    document.getElementById('save' + id).innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
    document.getElementById('hi' + id).disabled = true;
    document.getElementById('hf' + id).disabled = true;
    document.getElementById('pro' + id).disabled = true;

    // INICIA AJAX
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/horario',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            id: id,
            especialidad: especialidad,
            modalidad: modalidad,
            numero: numero,
            grupo: grupo,
            hi: hi,
            hf: hf,
            profesor: profesor
        },
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById('save' + id).innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            //document.getElementById("contenedorGruposAsignaturas").innerHTML = respuesta;
            document.getElementById('save' + id).innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById('save' + id).innerHTML = '<i class="fa fa-exclamation-triangle fw"></i>';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
    // TERMINA AJAX
}